<?php

declare(strict_types=1);

namespace App\Http\Livewire\Components\SwitchBox;

use Livewire\Component;

/**
 * Class SwitchBox
 */
abstract class SwitchBox extends Component
{
    public string $switchId = '';

    public bool $state = false;

    /**
     * @throws \Exception
     */
    public function __construct()
    {
        parent::__construct();
    }
}
